PropertiesForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.portlet.criticalalerts.PropertiesForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.portlet.criticalalerts
Class PropertiesForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.portlet.DashboardBaseForm
                      org.hyperic.hq.ui.action.portlet.criticalalerts.PropertiesForm

All Implemented Interfaces:
  java.io.Serializable

    public class PropertiesForm

extends DashboardBaseForm

A subclass of `ValidatorForm` that adds convenience methods for dealing with image-based form buttons.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `ALERT_NUMBER`
`static java.lang.String` | `PAST`
`static java.lang.String` | `PRIORITY`
`static java.lang.String` | `SELECTED_OR_ALL`
`static java.lang.String` | `TITLE`

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`PropertiesForm()`

Method Summary
`java.lang.String[]` | `getIds()`
`java.lang.String` | `getKey()`
`java.lang.Integer` | `getNumberOfAlerts()`
`long` | `getPast()`
`java.lang.String` | `getPriority()`
`java.lang.String` | `getSelectedOrAll()`
`java.lang.String` | `getTitle()`
`void` | `setIds(java.lang.String[] ids)`
`void` | `setKey(java.lang.String key)`
`void` | `setNumberOfAlerts(java.lang.Integer numberOfAlerts)`
`void` | `setPast(long past)`
`void` | `setPriority(java.lang.String priority)`
`void` | `setSelectedOrAll(java.lang.String selectedOrAll)`
`void` | `setTitle(java.lang.String title)`
`java.lang.String` | `toString()`

Methods inherited from class org.hyperic.hq.ui.action.portlet.DashboardBaseForm
`getPortletName, getToken, reset, setPortletName, setToken`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate, validate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALERT_NUMBER

    public static final java.lang.String ALERT_NUMBER

See Also:
  Constant Field Values

### PAST

    public static final java.lang.String PAST

See Also:
  Constant Field Values

### PRIORITY

    public static final java.lang.String PRIORITY

See Also:
  Constant Field Values

### SELECTED_OR_ALL

    public static final java.lang.String SELECTED_OR_ALL

See Also:
  Constant Field Values

### TITLE

    public static final java.lang.String TITLE

See Also:
  Constant Field Values

Constructor Detail

### PropertiesForm

    public PropertiesForm()

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseValidatorForm`

### getNumberOfAlerts

    public java.lang.Integer getNumberOfAlerts()

### setNumberOfAlerts

    public void setNumberOfAlerts(java.lang.Integer numberOfAlerts)

### getPriority

    public java.lang.String getPriority()

### setPriority

    public void setPriority(java.lang.String priority)

### getPast

    public long getPast()

### setPast

    public void setPast(long past)

### getSelectedOrAll

    public java.lang.String getSelectedOrAll()

### setSelectedOrAll

    public void setSelectedOrAll(java.lang.String selectedOrAll)

### getKey

    public java.lang.String getKey()

### setKey

    public void setKey(java.lang.String key)

### getIds

    public java.lang.String[] getIds()

### setIds

    public void setIds(java.lang.String[] ids)

### getTitle

    public java.lang.String getTitle()

### setTitle

    public void setTitle(java.lang.String title)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.